EDIT - bug #8682

cdm-server debian packages configured for jemalloc
11/14/2019 04:40 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority12 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmserver Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

in order to save native memory it is highly recommended to run the cdm-server with jemalloc instead of the system default library
malloc #5048

The debian packages should have a dependency to jemalloc and the environment variable should be set in /etc/default/cdmserver or
in the init script

Related issues:
Related to EDIT - feature request #3683: add /etc/default/cdmserver to debian... Closed
Copied from EDIT - bug #5048: cdm-server causes unusual high native memory co... Closed

Associated revisions

Revision bc305078 - 06/16/2020 11:50 AM - Andreas Kohlbecker
fix #8682 adding libjemalloc as package dependency and setting LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libjemalloc.so.1 in init script

History

#1 - 11/14/2019 04:41 PM - Andreas Kohlbecker

- Copied from bug #5048: cdm-server causes unusual high native memory consumption for jvm added

#2 - 11/14/2019 04:44 PM - Andreas Kohlbecker
- Related to feature request #3683: add /etc/default/cdmserver to debian package added

#3 - 01/16/2020 11:48 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#4 - 03/10/2020 09:28 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#5 - 04/08/2020 03:52 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#6 - 06/16/2020 11:50 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-server|bc3050782e9¢c090105f1ea63d005d471c8c48f1.

#7 - 06/16/2020 11:53 AM - Andreas Kohlbecker
- Description updated

- % Done changed from 50 to 40

mainly solved!

Remaining task: adapt cdm-server documentation

After the release all LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libjemalloc.so.1 lines are to be removed from the /etc/default/cdmserver scripts
https://dev.e-taxonomy.eu/redmine/issues/5048
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-server/revisions/bc3050782e9cc090105f1ea63d005d471c8c48f1

#8 - 06/16/2020 01:39 PM - Andreas Kohlbecker

can be closed if

1. there are no problems on the test or int server
2. all LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libjemalloc.so.1 lines are to be removed from the /etc/default/cdmserver scripts

#9 - 06/18/2020 03:25 PM - Andreas Kohlbecker
Andreas Kohlbecker wrote:
can be closed if

1. there are no problems on the test or int server

2. all LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libjemalloc.so.1 lines are to be removed from the /etc/default/cdmserver scripts
There is no significant change in the memory consumption of the cdm-server on edit-test and edit-int so everything works as expected.
Point 2. must be done on the following servers AFTER THE RELEASE:

e edit-production

¢ edit-demo1
e edit-demo2

#10 - 06/18/2020 03:25 PM - Andreas Kohlbecker
- % Done changed from 40 to 90

#11 - 07/02/2020 08:37 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libjemalloc.so.1 removed from all servers
